
/************************************************************************
 *
 * SR/Z3950 application software version 1.0, August 1993.
 *
 * (C) Software Kinetics Ltd.
 *
 * Software Kinetics Ltd. has granted a licence of this software to the
 * National Library of Canada.
 *
 * The National Library of Canada grants to the user a royalty-free
 * non-exclusive licence in perpetuity to use, modify, improve, reproduce
 * and sell the software.
 *
 * The software is provided to the user "as is" without warranty of any
 * kind. Neither Software Kinetics Ltd. nor the National Library of Canada
 * warrants, guarantees or makes any representations regarding the use,
 * or the results of use of the software in terms of accuracy, reliability,
 * or otherwise. The entire risk as to results and performance of the
 * software is assumed by the user. Neither Software Kinetics Ltd. nor the
 * National Library of Canada shall be liable for any direct, indirect,
 * consequential or incidental damages arising out of the use of the
 * software.
 *
 * $Log:
 * Revision 1.1  1993/09/16  09:03:27  irorigin
 * Baseline for Release 1.0.
 *
 ************************************************************************/

/*
 * This is the header file used by the gui routines to interface to
 * regular c-code that supports all gui routines.
 */

#ifndef UAEPIF_H
#define UAEPIF_H
#include <xvt.h>
#include <ir.h>
#include <ir_oid.h>
#include <ir_api.h>
#include <ua.h>

int UaEp_Initialize(int argc, char **argv);
int init_TaskWin(UAEP_DIALOG *data);
void UaEp_InitTaskWin(UAEP_DIALOG *data);
int UaEp_Timer(WINDOW win, EVENT *ep);
int UaEp_CommEvent(WINDOW win, EVENT *ep);
int UaEp_Terminate();
int UaEp_InitIRApi(void);

int UaAc_CMCreateList(SLIST connectList, SLIST targetList);
int UaAc_CMHandleList(WINDOW listWin, UAEP_DIALOG *info, SLIST list);
int UaAc_CBCreateList(SLIST targetList);
int UaAc_CBHandleList(WINDOW listWin, UAEP_DIALOG *info, SLIST list);

int UaArc_HandleList(WINDOW listWin, UAEP_DIALOG *info, SLIST targetList);
#if 0
int UaArc_CreateList(SLIST targetList, UAEP_DIALOG *info);
#endif
int UaArc_ResourceStatus(UAEP_DIALOG *info);
BOOLEAN UaArc_OkToGo(IR_ASSOC_ID assocId);

#endif
