
/************************************************************************
 *
 * SR/Z3950 application software version 1.0, August 1993.
 *
 * (C) Software Kinetics Ltd.
 *
 * Software Kinetics Ltd. has granted a licence of this software to the
 * National Library of Canada.
 *
 * The National Library of Canada grants to the user a royalty-free
 * non-exclusive licence in perpetuity to use, modify, improve, reproduce
 * and sell the software.
 *
 * The software is provided to the user "as is" without warranty of any
 * kind. Neither Software Kinetics Ltd. nor the National Library of Canada
 * warrants, guarantees or makes any representations regarding the use,
 * or the results of use of the software in terms of accuracy, reliability,
 * or otherwise. The entire risk as to results and performance of the
 * software is assumed by the user. Neither Software Kinetics Ltd. nor the
 * National Library of Canada shall be liable for any direct, indirect,
 * consequential or incidental damages arising out of the use of the
 * software.
 *
 * $Log:
 * Revision 1.1  1993/09/16  09:03:27  irorigin
 * Baseline for Release 1.0.
 *
 ************************************************************************/


#define APIENTRY  PASCAL
#define WNDPROC   FARPROC

#define dim(x) (sizeof(x) / sizeof(x[0]))

/*
// menu & dialog identifiers
*/

#define IDM_HOST  1
#define IDM_EXIT  2
#define IDM_ABOUT 3
#define IDD_HOSTNAME 11

typedef struct {
	HWND hWnd;
	UINT wMsg;
	UINT wParam;
	LONG lParam;
}NET_MSG_STRUCT;

/*
// exported from module DSPLIST
*/
/*
typedef struct line_item
{
   char *sztext;
   int len;
   struct line_item *next;
} LINEITEM;

VOID PushChars(char *buf, int buflen);
BOOL OpenDisplayList(VOID);
VOID CloseDisplayList(VOID);
VOID FreeLineList(LINEITEM *pLine);
VOID FreeDisplayList(VOID);
VOID GetDisplayList(LINEITEM **ppLine, int *pNLines);
 */
/*
// exported from NETWRK_ 
*/

#define FE_ERROR  1        // finger operation was not successful
#define FE_NOPORT 2        // failure to resolve finger service to a port 
#define FE_NOHOST 3        // failure to resolve host specifier
#define FE_NOSOCK 4        // failure to obtain socket for connection
#define FE_NOCONN 5        // failure to connect to remote finger server
#define FE_NOSEND 6        // failure to send finger query
#define FE_NORECV 7        // failure to receive finger data
#define FE_FAIL   8	   // big fail.
 /*
VOID FingerStart(VOID);
VOID InitNetInst(HWND hWnd);
VOID InitNetApp(VOID);
    */
/*
// exported from module FINGER
*/

#define MAXHOST   40
 /*
extern char szHostName[MAXHOST];
extern HANDLE hInst;
VOID ReportFingerErr(UINT Err);
VOID DebugFingerErr(char FAR * errMsg);
VOID FingerFinish(UINT Err);
   */
#define WS10C                    // define if winsock rev >= 1.0C

#ifdef WS10C
   #define INET_ADDR inet_addr      
#else                               
   #define INET_ADDR ul_inet_addr
   u_long ul_inet_addr(char *szIP);

   u_long ul_inet_addr(char *szIP)
   {
      IN_ADDR in;

      in = inet_addr(szIP);
      return in.s_addr;
   }
#endif

typedef unsigned long IPA;
